/*****************************************************************************
*
* Emrah Akin Sisbot
* Aug 10 
*
* File : sparkOro.h
* Brief: This file contains structures and functions for SPARK - Ontology link
*
******************************************************************************/

#ifndef SPARKORO_H
#define SPARKORO_H

#ifdef ORO

extern int connectOro (char *host, char *port);
void clearFacts();
extern int sendToORO(GEN_STRING64 address, GEN_STRING64 port);
extern void prepareFactsForORO(HRI_AGENTS * agents, HRI_ENTITIES * ents);
extern void printAllOroFacts(HRI_AGENTS * agents, HRI_ENTITIES * ents);
extern void reinitFactsForOROExportControl(HRI_AGENTS * agents, HRI_ENTITIES * ents);

extern int prepareAgentsActivityFactsForORO(HRI_AGENTS * agents, agents_activity_facts * agActivityFact, int agActivityFactAgentIndex);
extern void printAgentsActivityFactsForORO(HRI_AGENTS * agents, int agActivityFactAgentIndex);
extern void reinitAgentsActivityFactsForOROExportControl(HRI_AGENTS * agents, int agActivityFactAgentIndex);
#endif
#endif
